package com.mvc.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TLoseExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public TLoseExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andLoseIdIsNull() {
            addCriterion("LOSE_ID is null");
            return (Criteria) this;
        }

        public Criteria andLoseIdIsNotNull() {
            addCriterion("LOSE_ID is not null");
            return (Criteria) this;
        }

        public Criteria andLoseIdEqualTo(String value) {
            addCriterion("LOSE_ID =", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdNotEqualTo(String value) {
            addCriterion("LOSE_ID <>", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdGreaterThan(String value) {
            addCriterion("LOSE_ID >", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdGreaterThanOrEqualTo(String value) {
            addCriterion("LOSE_ID >=", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdLessThan(String value) {
            addCriterion("LOSE_ID <", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdLessThanOrEqualTo(String value) {
            addCriterion("LOSE_ID <=", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdLike(String value) {
            addCriterion("LOSE_ID like", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdNotLike(String value) {
            addCriterion("LOSE_ID not like", value, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdIn(List<String> values) {
            addCriterion("LOSE_ID in", values, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdNotIn(List<String> values) {
            addCriterion("LOSE_ID not in", values, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdBetween(String value1, String value2) {
            addCriterion("LOSE_ID between", value1, value2, "loseId");
            return (Criteria) this;
        }

        public Criteria andLoseIdNotBetween(String value1, String value2) {
            addCriterion("LOSE_ID not between", value1, value2, "loseId");
            return (Criteria) this;
        }

        public Criteria andAccIdIsNull() {
            addCriterion("ACC_ID is null");
            return (Criteria) this;
        }

        public Criteria andAccIdIsNotNull() {
            addCriterion("ACC_ID is not null");
            return (Criteria) this;
        }

        public Criteria andAccIdEqualTo(String value) {
            addCriterion("ACC_ID =", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdNotEqualTo(String value) {
            addCriterion("ACC_ID <>", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdGreaterThan(String value) {
            addCriterion("ACC_ID >", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdGreaterThanOrEqualTo(String value) {
            addCriterion("ACC_ID >=", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdLessThan(String value) {
            addCriterion("ACC_ID <", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdLessThanOrEqualTo(String value) {
            addCriterion("ACC_ID <=", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdLike(String value) {
            addCriterion("ACC_ID like", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdNotLike(String value) {
            addCriterion("ACC_ID not like", value, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdIn(List<String> values) {
            addCriterion("ACC_ID in", values, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdNotIn(List<String> values) {
            addCriterion("ACC_ID not in", values, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdBetween(String value1, String value2) {
            addCriterion("ACC_ID between", value1, value2, "accId");
            return (Criteria) this;
        }

        public Criteria andAccIdNotBetween(String value1, String value2) {
            addCriterion("ACC_ID not between", value1, value2, "accId");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNull() {
            addCriterion("DEVICE_TYPE is null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIsNotNull() {
            addCriterion("DEVICE_TYPE is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeEqualTo(String value) {
            addCriterion("DEVICE_TYPE =", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotEqualTo(String value) {
            addCriterion("DEVICE_TYPE <>", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThan(String value) {
            addCriterion("DEVICE_TYPE >", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE >=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThan(String value) {
            addCriterion("DEVICE_TYPE <", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_TYPE <=", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeLike(String value) {
            addCriterion("DEVICE_TYPE like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotLike(String value) {
            addCriterion("DEVICE_TYPE not like", value, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeIn(List<String> values) {
            addCriterion("DEVICE_TYPE in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotIn(List<String> values) {
            addCriterion("DEVICE_TYPE not in", values, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE between", value1, value2, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceTypeNotBetween(String value1, String value2) {
            addCriterion("DEVICE_TYPE not between", value1, value2, "deviceType");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNull() {
            addCriterion("DEVICE_SN is null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIsNotNull() {
            addCriterion("DEVICE_SN is not null");
            return (Criteria) this;
        }

        public Criteria andDeviceSnEqualTo(String value) {
            addCriterion("DEVICE_SN =", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotEqualTo(String value) {
            addCriterion("DEVICE_SN <>", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThan(String value) {
            addCriterion("DEVICE_SN >", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnGreaterThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN >=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThan(String value) {
            addCriterion("DEVICE_SN <", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLessThanOrEqualTo(String value) {
            addCriterion("DEVICE_SN <=", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnLike(String value) {
            addCriterion("DEVICE_SN like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotLike(String value) {
            addCriterion("DEVICE_SN not like", value, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnIn(List<String> values) {
            addCriterion("DEVICE_SN in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotIn(List<String> values) {
            addCriterion("DEVICE_SN not in", values, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnBetween(String value1, String value2) {
            addCriterion("DEVICE_SN between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andDeviceSnNotBetween(String value1, String value2) {
            addCriterion("DEVICE_SN not between", value1, value2, "deviceSn");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNull() {
            addCriterion("CREATE_MAN is null");
            return (Criteria) this;
        }

        public Criteria andCreateManIsNotNull() {
            addCriterion("CREATE_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andCreateManEqualTo(String value) {
            addCriterion("CREATE_MAN =", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotEqualTo(String value) {
            addCriterion("CREATE_MAN <>", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThan(String value) {
            addCriterion("CREATE_MAN >", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManGreaterThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN >=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThan(String value) {
            addCriterion("CREATE_MAN <", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLessThanOrEqualTo(String value) {
            addCriterion("CREATE_MAN <=", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManLike(String value) {
            addCriterion("CREATE_MAN like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotLike(String value) {
            addCriterion("CREATE_MAN not like", value, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManIn(List<String> values) {
            addCriterion("CREATE_MAN in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotIn(List<String> values) {
            addCriterion("CREATE_MAN not in", values, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManBetween(String value1, String value2) {
            addCriterion("CREATE_MAN between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateManNotBetween(String value1, String value2) {
            addCriterion("CREATE_MAN not between", value1, value2, "createMan");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNull() {
            addCriterion("CREATE_TIME is null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIsNotNull() {
            addCriterion("CREATE_TIME is not null");
            return (Criteria) this;
        }

        public Criteria andCreateTimeEqualTo(Date value) {
            addCriterion("CREATE_TIME =", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotEqualTo(Date value) {
            addCriterion("CREATE_TIME <>", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThan(Date value) {
            addCriterion("CREATE_TIME >", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME >=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThan(Date value) {
            addCriterion("CREATE_TIME <", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeLessThanOrEqualTo(Date value) {
            addCriterion("CREATE_TIME <=", value, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeIn(List<Date> values) {
            addCriterion("CREATE_TIME in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotIn(List<Date> values) {
            addCriterion("CREATE_TIME not in", values, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andCreateTimeNotBetween(Date value1, Date value2) {
            addCriterion("CREATE_TIME not between", value1, value2, "createTime");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseIsNull() {
            addCriterion("LOSE_BECAUSE is null");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseIsNotNull() {
            addCriterion("LOSE_BECAUSE is not null");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseEqualTo(String value) {
            addCriterion("LOSE_BECAUSE =", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseNotEqualTo(String value) {
            addCriterion("LOSE_BECAUSE <>", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseGreaterThan(String value) {
            addCriterion("LOSE_BECAUSE >", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseGreaterThanOrEqualTo(String value) {
            addCriterion("LOSE_BECAUSE >=", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseLessThan(String value) {
            addCriterion("LOSE_BECAUSE <", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseLessThanOrEqualTo(String value) {
            addCriterion("LOSE_BECAUSE <=", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseLike(String value) {
            addCriterion("LOSE_BECAUSE like", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseNotLike(String value) {
            addCriterion("LOSE_BECAUSE not like", value, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseIn(List<String> values) {
            addCriterion("LOSE_BECAUSE in", values, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseNotIn(List<String> values) {
            addCriterion("LOSE_BECAUSE not in", values, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseBetween(String value1, String value2) {
            addCriterion("LOSE_BECAUSE between", value1, value2, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andLoseBecauseNotBetween(String value1, String value2) {
            addCriterion("LOSE_BECAUSE not between", value1, value2, "loseBecause");
            return (Criteria) this;
        }

        public Criteria andAgreedManIsNull() {
            addCriterion("AGREED_MAN is null");
            return (Criteria) this;
        }

        public Criteria andAgreedManIsNotNull() {
            addCriterion("AGREED_MAN is not null");
            return (Criteria) this;
        }

        public Criteria andAgreedManEqualTo(String value) {
            addCriterion("AGREED_MAN =", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManNotEqualTo(String value) {
            addCriterion("AGREED_MAN <>", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManGreaterThan(String value) {
            addCriterion("AGREED_MAN >", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManGreaterThanOrEqualTo(String value) {
            addCriterion("AGREED_MAN >=", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManLessThan(String value) {
            addCriterion("AGREED_MAN <", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManLessThanOrEqualTo(String value) {
            addCriterion("AGREED_MAN <=", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManLike(String value) {
            addCriterion("AGREED_MAN like", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManNotLike(String value) {
            addCriterion("AGREED_MAN not like", value, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManIn(List<String> values) {
            addCriterion("AGREED_MAN in", values, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManNotIn(List<String> values) {
            addCriterion("AGREED_MAN not in", values, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManBetween(String value1, String value2) {
            addCriterion("AGREED_MAN between", value1, value2, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManNotBetween(String value1, String value2) {
            addCriterion("AGREED_MAN not between", value1, value2, "agreedMan");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlIsNull() {
            addCriterion("AGREED_MAN_SIGN_URL is null");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlIsNotNull() {
            addCriterion("AGREED_MAN_SIGN_URL is not null");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlEqualTo(String value) {
            addCriterion("AGREED_MAN_SIGN_URL =", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlNotEqualTo(String value) {
            addCriterion("AGREED_MAN_SIGN_URL <>", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlGreaterThan(String value) {
            addCriterion("AGREED_MAN_SIGN_URL >", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlGreaterThanOrEqualTo(String value) {
            addCriterion("AGREED_MAN_SIGN_URL >=", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlLessThan(String value) {
            addCriterion("AGREED_MAN_SIGN_URL <", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlLessThanOrEqualTo(String value) {
            addCriterion("AGREED_MAN_SIGN_URL <=", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlLike(String value) {
            addCriterion("AGREED_MAN_SIGN_URL like", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlNotLike(String value) {
            addCriterion("AGREED_MAN_SIGN_URL not like", value, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlIn(List<String> values) {
            addCriterion("AGREED_MAN_SIGN_URL in", values, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlNotIn(List<String> values) {
            addCriterion("AGREED_MAN_SIGN_URL not in", values, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlBetween(String value1, String value2) {
            addCriterion("AGREED_MAN_SIGN_URL between", value1, value2, "agreedManSignUrl");
            return (Criteria) this;
        }

        public Criteria andAgreedManSignUrlNotBetween(String value1, String value2) {
            addCriterion("AGREED_MAN_SIGN_URL not between", value1, value2, "agreedManSignUrl");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}